#ifndef PIXELDEFENSE_MAP_INITIALIZATION_H
#define PIXELDEFENSE_MAP_INITIALIZATION_H

#include <breeze.h>

bool initGameObjectsLayer(BzTileMap *map, BzTileObjectGroup *objectGroup);

bool initEntityObjectsLayer(BzTileMap *map, BzTileObjectGroup *objectGroup);

bool initBuildingsLayer(BzTileMap *map, BzTileLayer *layer);

bool initTreesLayer(BzTileMap *map, BzTileLayer *layer);

#endif //PIXELDEFENSE_MAP_INITIALIZATION_H
